Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
NameService.idl
1/* SPDX-License-Identifier: BSD-3-Clause */
2/*
3 * Copyright 2011 Raritan Inc. All rights reserved.
4 */
5
6/** Raritan JSON-RPC */
7module jsonrpc {
8
9 /** RPC Object Name Service */
10 interface NameService {
11
12 /**
13 * Find an RPC object by its resource ID or well-known name.
14 *
15 * @param name Resource id or well-known name
16 *
17 * @returns Object reference; \c nil if the name can't be resolved
18 */
19 Object lookup(in string name);
20 };
21
22}
jsonrpc::NameService
RPC Object Name Service.
Definition NameService.idl:10
jsonrpc::NameService::lookup
Object lookup(in string name)
Find an RPC object by its resource ID or well-known name.
jsonrpc
Raritan JSON-RPC.
Definition NameService.idl:7